Pause/Resume/Stop recording
PUT/accounts/{account_id}/realtime/kit/{app_id}/recordings/{recording_id}
Pause/Resume/Stop a given recording ID.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
Accepted Permissions (at least one required)
Path Parameters
Pause/Resume/Stop recording
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/recordings/$RECORDING_ID \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"action": "stop"
}'{
"success": true,
"data": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"audio_download_url": "https://example.com",
"download_url": "https://example.com",
"download_url_expiry": "2019-12-27T18:11:19.117Z",
"file_size": 0,
"invoked_time": "2019-12-27T18:11:19.117Z",
"output_file_name": "output_file_name",
"session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"started_time": "2019-12-27T18:11:19.117Z",
"status": "INVOKED",
"stopped_time": "2019-12-27T18:11:19.117Z",
"recording_duration": 0,
"start_reason": {
"caller": {
"name": "RealtimeKit_test",
"type": "ORGANIZATION",
"user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
},
"reason": "API_CALL"
},
"stop_reason": {
"caller": {
"name": "RealtimeKit_test",
"type": "ORGANIZATION",
"user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
},
"reason": "API_CALL"
},
"storage_config": {
"type": "aws",
"auth_method": "KEY",
"bucket": "bucket",
"host": "host",
"password": "password",
"path": "path",
"port": 0,
"private_key": "private_key",
"region": "us-east-1",
"secret": "secret",
"username": "username"
}
}
}Returns Examples
{
"success": true,
"data": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"audio_download_url": "https://example.com",
"download_url": "https://example.com",
"download_url_expiry": "2019-12-27T18:11:19.117Z",
"file_size": 0,
"invoked_time": "2019-12-27T18:11:19.117Z",
"output_file_name": "output_file_name",
"session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"started_time": "2019-12-27T18:11:19.117Z",
"status": "INVOKED",
"stopped_time": "2019-12-27T18:11:19.117Z",
"recording_duration": 0,
"start_reason": {
"caller": {
"name": "RealtimeKit_test",
"type": "ORGANIZATION",
"user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
},
"reason": "API_CALL"
},
"stop_reason": {
"caller": {
"name": "RealtimeKit_test",
"type": "ORGANIZATION",
"user_Id": "d61f6956-e68f-4375-bf10-c38a704d1bec"
},
"reason": "API_CALL"
},
"storage_config": {
"type": "aws",
"auth_method": "KEY",
"bucket": "bucket",
"host": "host",
"password": "password",
"path": "path",
"port": 0,
"private_key": "private_key",
"region": "us-east-1",
"secret": "secret",
"username": "username"
}
}
}